org.eclipse.ecf.provider.dnssd

## Class DnsSdDiscoveryContainerAdapter.SRVRecordComparator

- java.lang.Object
- - org.eclipse.ecf.provider.dnssd.DnsSdDiscoveryContainerAdapter.SRVRecordComparator

All Implemented Interfaces:
  Comparator

Enclosing class:
  DnsSdDiscoveryContainerAdapter

    protected class DnsSdDiscoveryContainerAdapter.SRVRecordComparator
    extends Object
    implements Comparator

### Constructor Summary

Constructors
`protected` `SRVRecordComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Object arg0, Object arg1)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### SRVRecordComparator

    protected SRVRecordComparator()

### Method Detail

#### compare

    public int compare(Object arg0,
                       Object arg1)

Specified by:
  `compare` in interface `Comparator`